% MultiRotorGust.m
%
% Generate figures and some results of paper
% "The Effect of Rotor Tilt on the Stability and Gust Rejection Properties
%  of VTOL Multirotor Aircraft" 
% by James Whidborne Arthur Mendez and Alastair Cooke submitted to
% ....

% (c) James Whidborne
% Cranfield University, August 2020
% MATLAB Version: 9.6.0.1150989 (R2019a) Update 4

clc
clear all
close all

%% printing parameters
printflag=1; % set to 1 to save plots
fs=14;       % fontsize
lw=1.2;      % linewidth
  
%% generate figures for each section
disp('---------------------------------')
disp('Generate figures for each section')
disp('---------------------------------')
disp(' ')
%Section2 % Rotor Aerodynamic Modelling
%Section3 % PVTOL Equations of Motion - Trim
%Section4 % Linear Analysis
Section5 % PVTOL Linear control
%Section6 % Quadrotor Step and Gust Responses
disp('---------------------------------')
disp(' ')
